commit:     618043d9df6c48cb017d8b8818f90617f9d181b5
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  6 03:27:58 2025 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Feb  6 03:30:31 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=618043d9

x11-base/xwayland: Version bump to 24.1.5

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 x11-base/xwayland/Manifest               |   1 +
 x11-base/xwayland/xwayland-24.1.5.ebuild | 133 +++++++++++++++++++++++++++++++
 2 files changed, 134 insertions(+)

diff --git a/x11-base/xwayland/Manifest b/x11-base/xwayland/Manifest
index e9161f302efb..5b6aaf828fba 100644
--- a/x11-base/xwayland/Manifest
+++ b/x11-base/xwayland/Manifest
@@ -1 +1,2 @@
 DIST xwayland-24.1.4.tar.xz 1302372 BLAKE2B 
9ca30a423aa5395dda06e3d532a57dc241b4d56bdb0309a47e1075a146f1a7879dde20c46b9c645fc430f534ffe484d0e9448fc9eb74d519f146629176804dc5
 SHA512 
7d3e4fdf67f07f79d8ddefc0077d10f811fe5ab1f919a922b5afc5dd9843eb2e0bc0a8b225555a0886521eb04a993e06a250469d3594d5add34d6412c76c60f8
+DIST xwayland-24.1.5.tar.xz 1302484 BLAKE2B 
b7070725756ccfd8160f1231b8ae67c7aceab0a372d6fbdd1a9af81e97f3a8ad3f2e1aae30aebc7fdde74dec4ef86d790c9d7d786fb596bea8e2ae81d613e877
 SHA512 
4c821e62013c2c79edff364c3c5e34c58f9b0e0c411baba23d9ebe3fe1daf8bbb99e56b6041c5cba66a219d9f80c469a5ee1238cef728eda197f19e7bba1e74a

diff --git a/x11-base/xwayland/xwayland-24.1.5.ebuild 
b/x11-base/xwayland/xwayland-24.1.5.ebuild
new file mode 100644
index 000000000000..a2c9b9687f42
--- /dev/null
+++ b/x11-base/xwayland/xwayland-24.1.5.ebuild
@@ -0,0 +1,133 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+if [[ ${PV} == "9999" ]] ; then
+       EGIT_REPO_URI="https://gitlab.freedesktop.org/xorg/xserver.git";
+       inherit git-r3
+else
+       
SRC_URI="https://xorg.freedesktop.org/archive/individual/xserver/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+DESCRIPTION="Standalone X server running under Wayland"
+HOMEPAGE="https://wayland.freedesktop.org/xserver.html";
+
+LICENSE="MIT"
+SLOT="0"
+
+IUSE="libei selinux systemd test unwind xcsecurity"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+       dev-libs/libbsd
+       dev-libs/openssl:=
+       >=dev-libs/wayland-1.21.0
+       >=dev-libs/wayland-protocols-1.34
+       media-fonts/font-util
+       >=media-libs/libepoxy-1.5.4[X,egl(+)]
+       media-libs/libglvnd[X]
+       >=media-libs/mesa-21.1[X(+),egl(+),gbm(+)]
+       >=x11-libs/libdrm-2.4.116
+       >=x11-libs/libXau-1.0.4
+       x11-libs/libxcvt
+       >=x11-libs/libXdmcp-1.0.2
+       >=x11-libs/libXfont2-2.0.1
+       x11-libs/libxkbfile
+       >=x11-libs/libxshmfence-1.1
+       >=x11-libs/pixman-0.27.2
+       >=x11-misc/xkeyboard-config-2.4.1-r3
+
+       libei? ( dev-libs/libei )
+       systemd? ( sys-apps/systemd )
+       unwind? ( sys-libs/libunwind )
+"
+DEPEND="
+       ${COMMON_DEPEND}
+       >=x11-base/xorg-proto-2024.1
+       >=x11-libs/xtrans-1.3.5
+       test? (
+               x11-misc/rendercheck
+               x11-libs/libX11
+       )
+"
+RDEPEND="
+       ${COMMON_DEPEND}
+       x11-apps/xkbcomp
+
+       libei? ( >=sys-apps/xdg-desktop-portal-1.18.0 )
+       selinux? ( sec-policy/selinux-xserver )
+"
+BDEPEND="
+       app-alternatives/lex
+       dev-util/wayland-scanner
+"
+
+src_prepare() {
+       default
+
+       if ! use test; then
+               sed -i -e "s/dependency('x11')/disabler()/" meson.build || die
+       fi
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_use selinux xselinux)
+               $(meson_use systemd systemd_notify)
+               $(meson_use unwind libunwind)
+               $(meson_use xcsecurity)
+               -Ddpms=true
+               -Ddri3=true
+               -Ddrm=true
+               -Ddtrace=false
+               -Dglamor=true
+               -Dglx=true
+               -Dipv6=true
+               -Dsecure-rpc=false
+               -Dscreensaver=true
+               -Dsha1=libcrypto
+               -Dxace=true
+               -Dxdmcp=true
+               -Dxinerama=true
+#              -Dxvfb=true
+               -Dxv=true
+               -Dxwayland-path="${EPREFIX}"/usr/bin
+               -Dlibdecor=false
+               -Ddocs=false
+               -Ddevel-docs=false
+               -Ddocs-pdf=false
+       )
+
+       if [[ ${PV} == "9999" ]]; then
+               emesonargs+=(
+                       -Dxorg=false
+                       -Dxnest=false
+                       -Dxvfb=false
+                       -Dxwayland=true
+               )
+       fi
+
+       if use libei; then
+               emesonargs+=( -Dxwayland_ei=portal )
+       else
+               emesonargs+=( -Dxwayland_ei=false )
+       fi
+
+       meson_src_configure
+}
+
+src_install() {
+       dosym ../bin/Xwayland /usr/libexec/Xwayland
+
+       meson_src_install
+
+       # Remove files installed by x11-base/xorg-xserver
+       rm \
+               "${ED}"/usr/share/man/man1/Xserver.1 \
+               "${ED}"/usr/$(get_libdir)/xorg/protocol.txt \
+               || die
+}

Reply via email to